SystemOrganization addCategory: #ConfigurationOfDrGeo!

Object subclass: #ConfigurationOfDrGeo
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfDrGeo'!

!ConfigurationOfDrGeo class methodsFor: 'private' stamp: 'HilaireFernandes 3/23/2010 21:04'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfDrGeo class methodsFor: 'private' stamp: 'HilaireFernandes 3/23/2010 21:04'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfDrGeo class methodsFor: 'metacello tool support' stamp: 'HilaireFernandes 3/23/2010 21:04'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfDrGeo class methodsFor: 'metacello tool support' stamp: 'HilaireFernandes 3/23/2010 21:04'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfDrGeo class methodsFor: 'loading' stamp: 'HilaireFernandes 3/23/2010 21:04'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfDrGeo class methodsFor: 'metacello tool support' stamp: 'HilaireFernandes 3/23/2010 21:04'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfDrGeo class methodsFor: 'accessing' stamp: 'HilaireFernandes 3/23/2010 21:04'!
project

	^self new project! !

!ConfigurationOfDrGeo class methodsFor: 'unloading Metacello' stamp: 'HilaireFernandes 3/23/2010 21:04'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfDrGeo methodsFor: 'as yet unclassified' stamp: 'HilaireFernandes 7/28/2010 11:35'!
baseline1008: spec
	<version: '10.08-baseline'>
	spec for: #pharo do: [
		spec blessing: #baseline.
		spec project: 'XML Parser' with: [
			spec className: 'ConfigurationOfXMLSupport';
			version: '1.0.1';
			loads: #('default');
			file: 'ConfigurationOfXMLSupport';
			repository: 'http://www.squeaksource.com/MetacelloRepository'].
		spec package: 'DrGeoII-Core' with: [
			spec requires: 'XML Parser']]! !

!ConfigurationOfDrGeo methodsFor: 'as yet unclassified' stamp: 'HilaireFernandes 7/27/2010 22:01'!
baseline10: spec
	<version: '1.0-baseline'>
	spec for: #pharo do: [
		spec blessing: #baseline.
		spec project: 'XML Parser' with: [
			spec className: 'ConfigurationOfXMLSupport';
			version: '1.0.1';
			loads: #('default');
			file: 'ConfigurationOfXMLSupport';
			repository: 'http://www.squeaksource.com/MetacelloRepository'].
		spec package: 'DrGeo' with: [spec requires: 'XML Parser']]! !

!ConfigurationOfDrGeo methodsFor: 'accessing' stamp: 'HilaireFernandes 3/23/2010 21:04'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfDrGeo methodsFor: 'as yet unclassified' stamp: 'HilaireFernandes 8/3/2010 14:12'!
version1008: spec
	<version: '10.08' imports: #('10.08-baseline')>
	spec for: #common do: [
		spec blessing: #release.
		spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.1/Squeak 4.1'.
		spec author: 'HilaireFernandes'.
		spec timestamp:  '2010-07-27T21:23:56+02:00'.
		spec repository: 'http://www.squeaksource.com/DrGeoII'.
		spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.28'].
	spec for: #pharo do: [
		spec package: 'DrGeoII-Polymorph' with: [
			spec  
				file: 'DrGeoII-Polymorph-HilaireFernandes.10';
				requires: 'DrGeoII-Core']].
	spec for: #squeak do: [
		spec package: 'DrGeoII-Etoys' with: [
			spec 
				file: 'DrGeoII-Etoys-HilaireFernandes.10';
				requires: 'DrGeoII-Core']]
! !

!ConfigurationOfDrGeo methodsFor: 'as yet unclassified' stamp: 'HilaireFernandes 3/24/2010 15:14'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>
	spec for: #common do: [
		spec blessing: #release.
		spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.0'.
		spec author: 'HilaireFernandes'.
		spec timestamp:  '2010-03-23 21:23'.
		spec repository: 'http://www.squeaksource.com/DrGeoII'.
		spec package: 'DrGeo' with: 'DrGeoII-HilaireFernandes.157']! !
